# Introspect phone number

> Validate a phone number and check if a WhatsApp conversation window is open.

`POST https://api.zavu.dev/v1/introspect/phone`

Validate a phone number and check if a WhatsApp conversation window is open.

## Body

- `phoneNumber` (string, required)

## Responses

### 200

Phone number introspection result.

- `phoneNumber` (string, required)
- `countryCode` (string, required)
- `validNumber` (boolean, required)
- `nationalFormat` (string): Phone number in national format.
- `lineType` (string): Type of phone line. One of: `mobile`, `landline`, `voip`, `toll_free`, `unknown`.
- `carrier` (object): Carrier information for the phone number.
  - `name` (string, nullable): Carrier name.
  - `type` (string): Type of phone line. One of: `mobile`, `landline`, `voip`, `toll_free`, `unknown`.
- `availableChannels` (string[]): List of available messaging channels for this phone number.

### 400

Invalid phone number.

- `code` (string, required)
- `message` (string, required)
- `details` (object)

### 401

Unauthorized.

- `code` (string, required)
- `message` (string, required)
- `details` (object)

## Example

```bash
curl -X POST "https://api.zavu.dev/v1/introspect/phone" \
  -H "Authorization: Bearer $ZAVUDEV_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "phoneNumber": "+56912345678"
}'
```

```typescript
import Zavudev from "@zavudev/sdk";

const zavu = new Zavudev({ apiKey: process.env.ZAVUDEV_API_KEY });

const result = await zavu.introspect.validatePhone({
  phoneNumber: "+56912345678",
});

console.log(result);
```
